<?php

use Illuminate\Support\Facades\Route;
use Kylin\Storage\Http\Controllers\StorageController;

Route::prefix('kylin/storage')->middleware(['auth:sanctum'])->group(function () {
    Route::post('/upload', [StorageController::class, 'upload']);
    Route::get('/{file}', [StorageController::class, 'show']);
    Route::get('/{file}/signed-url', [StorageController::class, 'signedUrl']);
    Route::delete('/{file}', [StorageController::class, 'delete']);
});
